# Created by pyp2rpm-3.3.8
%global pypi_name rapidfuzz

%global _disable_ld_no_undefined 1

Name:           python-%{pypi_name}
Version:        3.5.2
Release:        %mkrel 1
Summary:        Rapid fuzzy string matching
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxbachmann/RapidFuzz
Source0:        %{pypi_source}
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis

%description
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove pregenerated Cython sources
rm $(grep -rl '/\* Generated by Cython')

%generate_buildrequires
%pyproject_buildrequires

%build
export RAPIDFUZZ_BUILD_EXTENSION=1
export CXXFLAGS="%{build_cxxflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Tue Dec 19 2023 wally <wally> 3.5.2-1.mga10
+ Revision: 2019897
- new version 3.5.2

* Tue Aug 16 2022 wally <wally> 2.5.0-2.mga9
+ Revision: 1878206
- build extension
- switch build to pyproject RPM macros

* Mon Aug 15 2022 kekepower <kekepower> 2.5.0-1.mga9
+ Revision: 1878092
- Update file lists
- imported package python-rapidfuzz

